<div class="content-header row">
  <div class="content-header-left col-md-9 col-12 mb-2">
    <div class="row breadcrumbs-top">
      <div class="col-12">
        <h2 class="content-header-title float-left mb-0">Ajouter Utilisateur</h2>
      
      </div>
    </div>
  </div>
  <div class="content-header-right text-md-right col-md-3 col-12 d-md-block d-none">
    <div class="form-group breadcrum-right">
      <div class="dropdown">
        <button class="btn-icon btn btn-primary btn-round btn-sm dropdown-toggle waves-effect waves-light" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="feather icon-settings"></i></button>
        <div class="dropdown-menu dropdown-menu-right"><a class="dropdown-item" href="#">Chat</a><a class="dropdown-item" href="#">Email</a><a class="dropdown-item" href="#">Calendar</a></div>
      </div>
    </div>
  </div>
</div>

<section class="users-edit">
  <div class="card">
    <div class="card-content">
      <div class="card-body">
        
        
            <form novalidate #f="ngForm" (ngSubmit)="save(f.value)">
              <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="InvalidFrom" >
                <i class="feather icon-info mr-1 align-middle"></i>
                <span>{{InvalidFrom}}</span>
              </div>
              <div class="row">
                <div class="col-12 col-sm-6">
                  <div class="form-group">
                    <div class="controls">
                      <label>Nom</label>
                      <input type="text" class="form-control" placeholder="Nom" name="nom" #nom="ngModel" [(ngModel)]="utilisateur.nom"  required
                        data-validation-required-message="This username field is required">
                    </div>
                    <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="nom.touched && nom.invalid">
                      <i class="feather icon-info mr-1 align-middle"></i>
                      <span>Nom  Obligatoire</span>
                    </div>
                  </div>
                  <div class="form-group">
                    <div class="controls">
                      <label>Cin</label>
                      <input type="text" class="form-control" placeholder="Cin" name="cin" #cin="ngModel" [(ngModel)]="utilisateur.cin"  required
                        data-validation-required-message="This username field is required">
                    </div>
                    <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="cin.touched && cin.invalid">
                      <i class="feather icon-info mr-1 align-middle"></i>
                      <span>Cin Obligatoire</span>
                    </div>
                  </div>
                  <div class="form-group">
                    <div class="controls">
                      <label>Tel</label>
                      <input type="text" class="form-control" placeholder="Tel" name="tel" #tel="ngModel" [(ngModel)]="utilisateur.tel"  required
                        data-validation-required-message="This username field is required">
                    </div>
                    <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="tel.touched && tel.invalid">
                      <i class="feather icon-info mr-1 align-middle"></i>
                      <span>Téléphone Obligatoire</span>
                    </div>
                  </div>
                  <div class="form-group">
                    <div class="controls">
                      <label>Date de naissance</label>
                      <input type="date" class="form-control" placeholder="Date de naissance" name="date_naissance" #date_naissance="ngModel" [(ngModel)]="utilisateur.date_naissance"  required
                        data-validation-required-message="This username field is required">
                    </div>
                    <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="date_naissance.touched && date_naissance.invalid">
                      <i class="feather icon-info mr-1 align-middle"></i>
                      <span>Date de Naissance Obligatoire</span>
                    </div>
                  </div>
                  <div class="form-group">
                    <div class="controls">
                      <label>Code postal</label>
                      <input type="text" class="form-control" placeholder="Code postal" name="codePostal" #codePostal="ngModel" [(ngModel)]="utilisateur.codePostal"  required
                        data-validation-required-message="This username field is required">
                    </div>
                    <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="codePostal.touched && codePostal.invalid">
                      <i class="feather icon-info mr-1 align-middle"></i>
                      <span>Code postal Obligatoire</span>
                    </div>
                  </div>
                  <div class="form-group">
                    <div class="controls">
                      <label>Username</label>
                      <input type="text" class="form-control" placeholder="username" name="username" #username="ngModel" [(ngModel)]="utilisateur.username"  required
                        data-validation-required-message="This username field is required">
                    </div>
                    <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="username.touched && username.invalid">
                      <i class="feather icon-info mr-1 align-middle"></i>
                      <span>UsernameObligatoire</span>
                    </div>
                  </div>

                </div>
                <div class="col-12 col-sm-6">

                  <div class="form-group">
                    <div class="controls">
                      <label>Prenom</label>
                      <input type="text" class="form-control" placeholder="Prenom"  name="prenom" #prenom="ngModel" [(ngModel)]="utilisateur.prenom"  required
                        data-validation-required-message="This name field is required">
                    </div>
                    <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="prenom.touched && prenom.invalid">
                      <i class="feather icon-info mr-1 align-middle"></i>
                      <span>Prenom Obligatoire</span>
                    </div>
                  </div>
                  <div class="form-group">
                    <div class="controls">
                      <label>Email</label>
                      <input type="email" class="form-control" placeholder="Email"  name="email" #email="ngModel" [(ngModel)]="utilisateur.email"email>
                    </div>
                    <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="email.touched && email.invalid">
                      <i class="feather icon-info mr-1 align-middle"></i>
                      <span>Email Obligatoire et doit étre de type email</span>
                    </div>
                  </div>
                  <div class="form-group">
                    <div class="controls">
                      <label>Autre Tel</label>
                      <input type="text" class="form-control" placeholder="Autre Tel" name="autreTel" #autreTel="ngModel" [(ngModel)]="utilisateur.autreTel"  required
                        data-validation-required-message="This username field is required">
                    </div>
                    <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="autreTel.touched && autreTel.invalid">
                      <i class="feather icon-info mr-1 align-middle"></i>
                      <span>Téléphone Obligatoire</span>
                    </div>
                  </div>

                  <div class="form-group">
                    <label>Ville</label>
                    <select class="form-control" name="ville" #ville="ngModel" [(ngModel)]="utilisateur.ville"  required>
                      <option>Choisir Ville </option>
                      <option>ville1</option>
                      <option>ville2</option>
                    </select>
                    <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="ville.touched && ville.invalid">
                      <i class="feather icon-info mr-1 align-middle"></i>
                      <span>Ville Obligatoire</span>
                    </div>
                  </div>

                  <div class="form-group">
                    <label>Role</label>
                    <select class="form-control" name="role" #role="ngModel" [(ngModel)]="utilisateur.role"  required>
                      <option>Choisir Role </option>
                      <option>Sinistre</option>
                      <option>Devis</option>
                      <option>Contrat</option>

                    </select>
                    <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="role.touched && role.invalid">
                      <i class="feather icon-info mr-1 align-middle"></i>
                      <span>Role Obligatoire</span>
                    </div>
                  </div>

                 <div class="form-group">
                    <label>Mot de passe:</label>
                    <input type="password" class="form-control" placeholder="Mot de passe" name="password" #password="ngModel" [(ngModel)]="utilisateur.password"  required>
                  </div>
                 
                  <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="password.touched && password.invalid">
                    <i class="feather icon-info mr-1 align-middle"></i>
                    <span>mot de passe Obligatoire</span>
                  </div>
                </div>
                
                <div class="col-md-3 offset-md-9" style="margin-top: 10px;">
                  <button type="reset" class="btn btn-warning mr-1 mb-1 waves-effect waves-light">Annuler</button>   
                  <button type="submit" class="btn btn-primary mr-1 mb-1 waves-effect waves-light" [disabled]="f.invalid">Ajouter Utilisateur</button>
                  </div>
              </div>
            </form>
            <!-- users edit account form ends -->
          
          
      </div>
    </div>
  </div>
</section>